ELFDUMP(1)

NAME
elfdump - display information about ELF files

SYNOPSIS
elfdump -a | -cdeGhiknprsv [-S] [-V] [-N name] [-w file] file ...

DESCRIPTION
The elfdump utility dumps various information about the specified ELF file.

The options are as follows:

-a  Dump all information.

-c  Dump section headers.

-d  Dump dynamic symbols.

-e  Dump ELF header.

-G  Dump the GOT.

-h  Dump the hash values.

-i  Dump the dynamic interpreter.

-k  Dump the ELF checksum.

-n  Dump note sections.

-N name
    Only dump the section with the specific name. Archive symbol table can be specified with the special section name ARSYM. More than one -N option may appear.

-p  Dump the program header.

-r  Dump relocations.

-s  Dump the symbol table.

-S  Output in the Solaris elfdump format.

-v  Dump the symbol-versioning sections.

-V  Print a version identifier and exit.

-w file
    Write output to a file instead of the standard output.

EXIT STATUS

EXAMPLES
The following is an example of a typical usage of the elfdump command:

    elfdump -a -w output /bin/ls

To dump the content of '.dynsym' symbol table:

    elfdump -s -N .dynsym /bin/ls

To dump the archive symbol table, but not the symbol tables of archive members:

    elfdump -s -N ARSYM /usr/lib/libelf.a

To dump the content of .got section and the symbol-versioning sections in Solaris elfdump format:

    elfdump -S -Gv /bin/ls

SEE ALSO
objdump(1), readelf(1), elf(3) AT&T Unix Systems Labs, System V Application Binary Interface, http://www.sco.com/developers/gabi/.

HISTORY
The elfdump utility first appeared in FreeBSD 5.0.

AUTHORS
-nosplit The elfdump utility was written by Jake Burkholder <jake@FreeBSD.org>. Later it was rewritten based on the libelf library. This manual page was written by David O'Brien <obrien@FreeBSD.org>.

Kai Wang <kaiw@FreeBSD.org> rewrote it using the libelf and implemented additional functionality.

BUGS
Does not fully implement the ELF gABI.